Bug 250441 - Dolphin crashes after moving files by drag & drop
Summary: Dolphin crashes after moving files by drag & drop
Status: RESOLVED FIXED
Alias: None
Product: kio
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: 4.5
Platform: Ubuntu Linux
: NOR crash with 20 votes (vote)
Target Milestone: ---
Assignee: David Faure
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-07 13:25 UTC by Peter Urbanus
Modified: 2013-07-10 18:49 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
new crashreport (4.51 KB, application/octet-stream)
2010-09-16 16:02 UTC, Peter Urbanus
Details
crash report from 2010-11-28 (5.54 KB, text/plain)
2010-11-28 19:24 UTC, Peter Urbanus
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Urbanus 2010-09-07 13:25:30 UTC
Application: dolphin (1.4)
KDE Platform Version: 4.4.2 (KDE 4.4.2)
Qt Version: 4.6.2
Operating System: Linux 2.6.32-24-generic x86_64
Distribution: Ubuntu 10.04.1 LTS

-- Information about the crash:
After several move actions, Dolphin crashes. The number of move actions varies between 20 and 100, I guess.

The crash can be reproduced some of the time.

 -- Backtrace:
Application: Dolphin (dolphin), signal: Aborted
[Current thread is 1 (Thread 0x7fbb070a4760 (LWP 14000))]

Thread 3 (Thread 0x7fbaf4236710 (LWP 14002)):
#0  0x00007fbb02d22f83 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fbaff1484a9 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007fbaff1488fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007fbb03477566 in QEventDispatcherGlib::processEvents (this=0x2947980, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#4  0x00007fbb0344c992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007fbb0344cd6c in QEventLoop::exec (this=0x7fbaf4235db0, flags=) at kernel/qeventloop.cpp:201
#6  0x00007fbb03356d59 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007fbb0342d178 in QInotifyFileSystemWatcherEngine::run (this=0x2a0fe80) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007fbb03359775 in QThreadPrivate::start (arg=0x2a0fe80) at thread/qthread_unix.cpp:248
#9  0x00007fbb0028e9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007fbb02d2f6fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fbae9de4710 (LWP 14011)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00007fbaf337a081 in ?? () from /usr/lib/libxine.so.1
#2  0x00007fbb0028e9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007fbb02d2f6fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fbb070a4760 (LWP 14000)):
[KCrash Handler]
#5  0x00007fbb02c7ca75 in *__GI_raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#6  0x00007fbb02c805c0 in *__GI_abort () at abort.c:92
#7  0x00007fbb02cb64fb in __libc_message (do_abort=<value optimized out>, fmt=<value optimized out>) at ../sysdeps/unix/sysv/linux/libc_fatal.c:189
#8  0x00007fbb02cc05b6 in malloc_printerr (action=3, str=0x7fbb02d93c98 "double free or corruption (out)", ptr=<value optimized out>) at malloc.c:6264
#9  0x00007fbb02cc6e53 in *__GI___libc_free (mem=<value optimized out>) at malloc.c:3738
#10 0x00007fbb0525db0c in QList<QVariant>::node_destruct (this=<value optimized out>, data=0x4bb1ee0) at /usr/include/qt4/QtCore/qlist.h:402
#11 QList<QVariant>::free (this=<value optimized out>, data=0x4bb1ee0) at /usr/include/qt4/QtCore/qlist.h:646
#12 0x00007fbb05290edf in OrgKdeKDirNotifyInterface::emitFileMoved (src=<value optimized out>, dst=<value optimized out>) at ../../kio/kio/kdirnotify.cpp:42
#13 0x00007fbb0522a558 in KIO::CopyJobPrivate::slotResultCopyingFiles (this=<value optimized out>, job=<value optimized out>) at ../../kio/kio/copyjob.cpp:1178
#14 0x00007fbb05227fa7 in KIO::CopyJob::qt_metacall (this=0x39d3300, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffa9e1f250) at ./copyjob.moc:121
#15 0x00007fbb03460e3f in QMetaObject::activate (sender=0x35a5830, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3293
#16 0x00007fbb03adeb82 in KJob::result (this=0x36b0, _t1=0x35a5830) at ./kjob.moc:194
#17 0x00007fbb03adee20 in KJob::emitResult (this=0x35a5830) at ../../kdecore/jobs/kjob.cpp:312
#18 0x00007fbb0525c7bb in KIO::FileCopyJob::slotResult (this=0x35a5830, job=0x4e14320) at ../../kio/kio/job.cpp:2280
#19 0x00007fbb05258480 in KIO::FileCopyJob::qt_metacall (this=0x35a5830, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffa9e1f3f0) at ./jobclasses.moc:721
#20 0x00007fbb03460e3f in QMetaObject::activate (sender=0x4e14320, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3293
#21 0x00007fbb03adeb82 in KJob::result (this=0x36b0, _t1=0x4e14320) at ./kjob.moc:194
#22 0x00007fbb03adee20 in KJob::emitResult (this=0x4e14320) at ../../kdecore/jobs/kjob.cpp:312
#23 0x00007fbb05255503 in KIO::SimpleJob::slotFinished (this=0x4e14320) at ../../kio/kio/job.cpp:486
#24 0x00007fbb052537e1 in KIO::SimpleJob::qt_metacall (this=0x4e14320, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffa9e1f620) at ./jobclasses.moc:171
#25 0x00007fbb03460e3f in QMetaObject::activate (sender=0x4cb6a70, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3293
#26 0x00007fbb05315271 in KIO::SlaveInterface::dispatch (this=0x4cb6a70, _cmd=104, rawdata=...) at ../../kio/kio/slaveinterface.cpp:175
#27 0x00007fbb053125e3 in KIO::SlaveInterface::dispatch (this=0x4cb6a70) at ../../kio/kio/slaveinterface.cpp:91
#28 0x00007fbb05306a46 in KIO::Slave::gotInput (this=0x4cb6a70) at ../../kio/kio/slave.cpp:324
#29 0x00007fbb05306c2c in KIO::Slave::qt_metacall (this=0x4cb6a70, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffa9e1fa40) at ./slave.moc:82
#30 0x00007fbb03460e3f in QMetaObject::activate (sender=0x4456ba0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3293
#31 0x00007fbb052249d7 in KIO::ConnectionPrivate::dequeue (this=0x3ed63a0) at ../../kio/kio/connection.cpp:82
#32 0x00007fbb05224afd in KIO::Connection::qt_metacall (this=0x4456ba0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x30e14e0) at ./connection.moc:79
#33 0x00007fbb0345dd49 in QObject::event (this=0x4456ba0, e=0x4febd80) at kernel/qobject.cpp:1248
#34 0x00007fbb0403b22c in QApplicationPrivate::notify_helper (this=0x250f350, receiver=0x4456ba0, e=0x4febd80) at kernel/qapplication.cpp:4300
#35 0x00007fbb040416fb in QApplication::notify (this=0x7fffa9e20540, receiver=0x4456ba0, e=0x4febd80) at kernel/qapplication.cpp:4183
#36 0x00007fbb04d46526 in KApplication::notify (this=0x7fffa9e20540, receiver=0x4456ba0, event=0x4febd80) at ../../kdeui/kernel/kapplication.cpp:302
#37 0x00007fbb0344e06c in QCoreApplication::notifyInternal (this=0x7fffa9e20540, receiver=0x4456ba0, event=0x4febd80) at kernel/qcoreapplication.cpp:704
#38 0x00007fbb034507e7 in QCoreApplication::sendEvent (receiver=0x0, event_type=<value optimized out>, data=0x24e1c30) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#39 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x24e1c30) at kernel/qcoreapplication.cpp:1345
#40 0x00007fbb034779d3 in QCoreApplication::sendPostedEvents (s=<value optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#41 postEventSourceDispatch (s=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:276
#42 0x00007fbaff1448c2 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#43 0x00007fbaff148748 in ?? () from /lib/libglib-2.0.so.0
#44 0x00007fbaff1488fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#45 0x00007fbb03477513 in QEventDispatcherGlib::processEvents (this=0x24e1770, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#46 0x00007fbb040eb46e in QGuiEventDispatcherGlib::processEvents (this=0x36b0, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#47 0x00007fbb0344c992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#48 0x00007fbb0344cd6c in QEventLoop::exec (this=0x7fffa9e20490, flags=) at kernel/qeventloop.cpp:201
#49 0x00007fbb03450aab in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#50 0x000000000043b1c5 in main (argc=<value optimized out>, argv=<value optimized out>) at ../../../../apps/dolphin/src/main.cpp:101

Reported using DrKonqi
Comment 1 Mark 2010-09-16 00:27:23 UTC
Just a guess, but did the file you dragged was one that was playing in the background?

Could you provide detailed steps to reproduce this?
Comment 2 Peter Urbanus 2010-09-16 13:54:31 UTC
Usually not.
It just happened again minutes ago and it was not playing in the background.
First I dragged a really big directory (23G) from my hard drive to a NAS,
moving it. Then I dragged a much smaller set (500MB) to a different location
on my hard drive, copying it. When I clicked on the source tab, Dolphin
immediately disappeared and the crash dialog popped up. Do you want a new
crash report?

2010/9/16 Mark <markg85@gmail.com>

> https://bugs.kde.org/show_bug.cgi?id=250441
>
>
> Mark <markg85@gmail.com> changed:
>
>           What    |Removed                     |Added
>
> ----------------------------------------------------------------------------
>                 CC|                            |markg85@gmail.com
>
>
>
>
> --- Comment #1 from Mark <markg85 gmail com>  2010-09-16 00:27:23 ---
> Just a guess, but did the file you dragged was one that was playing in the
> background?
>
> Could you provide detailed steps to reproduce this?
>
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You reported the bug.
>
Comment 3 Mark 2010-09-16 15:47:49 UTC
Yes, please do post a new crash log. Also please test this on the latest stable kde instead of the initial crash log against 4.4.2.
Comment 4 Peter Urbanus 2010-09-16 16:02:04 UTC
Created attachment 51718 [details]
new crashreport

crashreport of 2010-09-16
Comment 5 Mark 2010-09-16 16:23:11 UTC
interesting:

#7  0x00007f6ac1f0a0a5 in ~KJob (this=0x2b68e50, __in_chrg=<value optimized out>) at ../../kdecore/jobs/kjob.cpp:67
#8  0x00007f6ac367ba09 in ~SimpleJob (this=0x2b68e50, __in_chrg=<value optimized out>) at ../../kio/kio/job.cpp:383
#9  0x00007f6ac367bb13 in ~DirectCopyJob (this=0x200000000, __in_chrg=<value optimized out>) at ../../kio/kio/job.cpp:1706

it seems to crash in a destructor in kio.. assuming the Qt core classes are fine.

The crash is quite a bit different from your initial crash report.

I don't know where this went wrong.. sending it to the KIO folks so they can look at it.
Comment 6 Peter Urbanus 2010-09-16 20:12:11 UTC
I upgraded to 4.5.1 using http://linux-software-news-tutorials.blogspot.com/2010/08/install-kde-45-in-ubuntukubuntu-1004.html. The About... windows report 4.5.1 so I guess that worked. However, after some 20 move actions Dolphin crashed again. I'm generating a new crash report, but I lack some debug symbols and I don't see how I install them. It wants symbols for
/usr/bin/dolphin
/lib/libdbus-1.so.3
Can you help me out?
Comment 7 Mark 2010-09-17 00:28:53 UTC
install the -debug or -dev (or both) packages.
(K)ubuntu must have them.
Comment 8 Peter Urbanus 2010-09-17 02:24:48 UTC
I'm sorry, but I don't see how. The only packages for Dolphin that I can choose are 
dolphin
dolphin-kde4
dolphin-plugins
Nothing with -debug or -dev. And libdbus-1.so.3??
Comment 9 Mark 2010-09-17 02:48:32 UTC
Dolphin is part of kdebase and uses libraries krom kdelibs so you need to have the kdelibs dev/debug packages and perhaps also the kdebase dev/debug psckage

don't search for a dolphin dev/debug since you won't find any.
Comment 10 Peter Urbanus 2010-09-17 09:16:25 UTC
Both kdelibs5-dbg and kdebase-dbg are at their latest versions (apt-get install xxx) but I still can't create crash reports.
Comment 11 Mark 2010-09-17 13:48:51 UTC
(In reply to comment #10)
> Both kdelibs5-dbg and kdebase-dbg are at their latest versions (apt-get install
> xxx) but I still can't create crash reports.

then i'm out of options to suggest...
Comment 12 Peter Urbanus 2010-11-28 19:22:35 UTC
After upgrading to 10.10, I can create crash reports again. I will attach a new one. I've noticed something else: it always happens when moving / copying files to samba shares. I have a NAS on which I use NFS and Dolphin never crashes.
Comment 13 Peter Urbanus 2010-11-28 19:24:37 UTC
Created attachment 53833 [details]
crash report from 2010-11-28
Comment 14 Dawit Alemayehu 2013-07-07 12:05:27 UTC
Peter is this crash still present in KDE v4.10 or higher?
Comment 15 Dawit Alemayehu 2013-07-07 12:06:37 UTC
See comment #14.
Comment 16 Peter Urbanus 2013-07-10 15:05:03 UTC
I don't think so. Sorry but I haven't used KDE for a long time. From what I
remember the problem went away just before I stopped using KDE.
Comment 17 Dawit Alemayehu 2013-07-10 18:49:08 UTC
(In reply to comment #16)
> I don't think so. Sorry but I haven't used KDE for a long time. From what I
> remember the problem went away just before I stopped using KDE.

Thanks for the repsonse.